
import { request } from '@/utils/request'
import { TodayEventCase, TodayStatistics } from './model'

export const DetailApi = {
  DISPATCH_VEHICLE: 'admin/index/dispatchVehicle',
  FIRE_RECORD:'admin/index/fireRecord'
}

/**
 * 
 * @param caseId 
 */
export function dispatchVehicle(caseId: string) {
  return request
    <{}, ResultData<{
      ["抢险救援车（JY）"]: number,
      ["泡沫车（PM）"]: number,
      ["水罐车（SG）"]: number,
      ["警车出动"]: number,
      ["警力出动"]: number
    }>>({
      method: 'get',
      url: DetailApi.DISPATCH_VEHICLE,
      params: {
        caseId
      }
    })
}


export function fireRecord(caseId: string) {
  return request<{},ResultData<{
    gxsj: string,
    jq_tywysbm: string,
    fkjg_tywysbm: string,
    wsnr_jyqk: string
  }[]>>({
    url: DetailApi.FIRE_RECORD,
    method: 'get',
    params: {
      caseId
    }
  })
}
